import './prototype.browser.ts';
import './platform.browser.ts';
export * from './utils.common.ts';
export declare function pause(milliseconds?: number): Promise<void>;
/** 表单 Form.Item 必填 `<Form.Item {...required}>` */
export declare const required: {
    required: boolean;
    rules: {
        required: boolean;
    }[];
};
/** 切换所有已选择的 items 中是否包含当前 item */
export declare function switch_selecteds<TItem>(selecteds: TItem[], item: TItem): TItem[];
export declare function apply_css(css: string): void;
export declare function to_option(value: string): {
    label: string;
    value: string;
};
export declare function download_url(name: string, url: string): void;
export declare function download(name: string, data: string | Uint8Array, mime_type?: string): void;
export declare function load_script(url: string): Promise<unknown>;
